> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/marketing-solutions/marketplace-performance-outcomes/stats/report-jobs/{reportId}

> Gets the status of  report export job.



## OpenAPI

````yaml https://api.criteo.com/preview/marketingsolutions/open-api-specifications.json get /preview/marketing-solutions/marketplace-performance-outcomes/stats/report-jobs/{reportId}
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - MarketingSolutions
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Advertiser
  - name: Analytics
  - name: Audience
  - name: Campaign
  - name: Catalog
  - name: Creative
  - name: Gateway
  - name: OnSiteRecommendation
  - name: Reco
paths:
  /preview/marketing-solutions/marketplace-performance-outcomes/stats/report-jobs/{reportId}:
    get:
      tags:
        - Analytics
      summary: >-
        /preview/marketing-solutions/marketplace-performance-outcomes/stats/report-jobs/{reportId}
      description: Gets the status of  report export job.
      operationId: GetMarketplacePerformanceOutcomesExportStatus
      parameters:
        - name: reportId
          in: path
          description: The identifier of the report export job.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExportStatusModelResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/ExportStatusModelResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/ExportStatusModelResponse'
      security:
        - oauth:
            - MarketingSolutions_Analytics_Read
components:
  schemas:
    ExportStatusModelResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ExportStatusModelResource'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          description: Errors that occured during this call.
          nullable: true
          readOnly: true
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          description: Warnings that occured during this call.
          nullable: true
          readOnly: true
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API response for a single
        value object.
    ExportStatusModelResource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/ExportStatusModel'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
      nullable: true
    CommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s)
          nullable: true
        stackTrace:
          type: string
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        traceIdentifier:
          type: string
          description: >-
            The request correlation ID this problem comes from. (deprecated, use
            traceId instead)
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      description: Common problem object.
    ExportStatusModel:
      type: object
      properties:
        exportId:
          type: string
          description: 'Export id (UUID), ex.: "e0893b6b-be25-477f-9ca3-e6e8c8ec9e30"'
          nullable: true
        message:
          type: string
          nullable: true
        status:
          enum:
            - Unknown
            - Pending
            - Done
            - Failure
            - Expired
          type: string
          nullable: true
      additionalProperties: false
      description: Status returned for an asynchronous export job.
      nullable: true
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````